<app-top-bar
  title="Crash qualité en cours - {{
    crashReceived?.dateCrash | date: 'shortDate'
  }}"
></app-top-bar>

<!-- ----------------------------------------------------------------------- -->
<!--                                 CARD 1                                  -->
<!-- ----------------------------------------------------------------------- -->

<mat-card class="m-5 mat-elevation-z4">
  <mat-card-header>
    <mat-card-title>Team Leader/AQP</mat-card-title>
  </mat-card-header>

  <mat-card-content>
    <mat-divider inset="true"></mat-divider>
    <div class="flex">
      <!-- ----------------------------------------------------------------------- -->
      <!--                                  COL 1                                  -->
      <!-- ----------------------------------------------------------------------- -->
      <!-- ---------------------------- date du crash ---------------------------- -->
      <div class="flex flex-col p-5">
        <mat-form-field appearance="outline">
          <mat-label>Date du Crash</mat-label>
          <input
            matInput
            readonly
            value="{{ crashReceived?.dateCrash | date: 'shortDate' }}"
          />
        </mat-form-field>
        <!-- -------------------------- Lieu de detection -------------------------- -->
        <mat-form-field appearance="outline" class="m-0 p-0">
          <mat-label>Lieu de Détection</mat-label>
          <input
            matInput
            readonly
            [value]="
              crashReceived?.detectionCrash?.machine ||
              crashReceived?.detectionCrash?.ligne
            "
          />
        </mat-form-field>
        <!-- ------------------------ Nb de pièces bloquées ------------------------ -->
        <mat-form-field appearance="outline">
          <mat-label>Nombre de Pièces Bloquées</mat-label>
          <input
            readonly
            matInput
            [value]="crashReceived?.nbPieces"
            type="number"
          />
        </mat-form-field>
      </div>
      <!-- ----------------------------------------------------------------------- -->
      <!--                                  COL 2                                  -->
      <!-- ----------------------------------------------------------------------- -->

      <!-- ---------------------------- code article ----------------------------- -->

      <div class="flex flex-col p-5">
        <mat-form-field appearance="outline">
          <mat-label>Code article</mat-label>
          <input
            type="number"
            minlength="7"
            matInput
            readonly
            [value]="crashReceived?.article?.codeArticle"
          />
        </mat-form-field>

        <!-- ------------------------------- Modèle -------------------------------- -->

        <mat-form-field appearance="outline">
          <mat-label> Modèle </mat-label>
          <input matInput readonly [value]="crashReceived?.article?.modele" />
        </mat-form-field>

        <!-- ----------------------------- Part Number ----------------------------- -->

        <mat-form-field appearance="outline">
          <mat-label>Part Number</mat-label>
          <input
            matInput
            readonly
            [value]="crashReceived?.article?.partNumber"
          />
        </mat-form-field>
      </div>

      <!-- ----------------------------------------------------------------------- -->
      <!--                                  COL 3                                  -->
      <!-- ----------------------------------------------------------------------- -->

      <div class="flex flex-col-reverse p-5">
        <mat-form-field class="" appearance="outline">
          <mat-label>Description</mat-label>

          <textarea
            matInput
            cdkTextareaAutosize
            #autosize="cdkTextareaAutosize"
            cdkAutosizeMinRows="4"
            cdkAutosizeMaxRows="5"
            readonly
            [value]="crashReceived?.description"
          ></textarea>
        </mat-form-field>
      </div>

      <!-- ----------------------------------------------------------------------- -->
      <!--                                  COL4                                   -->
      <!-- ----------------------------------------------------------------------- -->
      <div class="flex flex-col justify-end pb-10">
        <div class="flex flex-row gap-5">image to do</div>
      </div>
    </div>
  </mat-card-content>
</mat-card>

<!-- ----------------------------------------------------------------------- -->
<!--                                 CARD 2                                  -->
<!-- ----------------------------------------------------------------------- -->

<div class="flex">
  <mat-card class="m-5 mat-elevation-z4">
    <mat-card-header>
      <mat-card-title>Quality Manager</mat-card-title>
    </mat-card-header>
    <form [formGroup]="formGroup">
      <mat-card-content>
        <mat-divider inset="true"></mat-divider>
        <div class="flex">
          <!-- ----------------------------------------------------------------------- -->
          <!--                                  COL 1                                  -->
          <!-- ----------------------------------------------------------------------- -->

          <!-- --------------------------- Lieu d'origine ---------------------------- -->
          <div class="flex flex-col p-5">
            <mat-form-field
              appearance="outline"
              (click)="onClickToOpenDialog()"
              class="m-0 p-0"
            >
              <mat-label>Lieu de Détection</mat-label>
              <input
                matInput
                readonly
                formControlName="lieuDorigine"
                [value]="
                  getLigneOrMachineValue(
                    formGroup.controls['lieuDorigine'].value
                  )
                "
              />
            </mat-form-field>

            <!-- ----------------------------- description ----------------------------- -->

            <mat-form-field class="" appearance="outline">
              <mat-label>Description</mat-label>

              <textarea
                matInput
                cdkTextareaAutosize
                #autosize="cdkTextareaAutosize"
                cdkAutosizeMinRows="4"
                cdkAutosizeMaxRows="5"
                formControlName="description"
              ></textarea>
            </mat-form-field>
          </div>
          <!-- ----------------------------------------------------------------------- -->
          <!--                                  COL 2                                  -->
          <!-- ----------------------------------------------------------------------- -->

          <div class="flex flex-col p-5">
            <label class="mb-3">Décision</label>

            <mat-radio-group
              class="flex flex-col"
              formControlName="decision"
              color="primary"
            >
              <ng-container *ngFor="let decision of decisions">
                <mat-radio-button [value]="decision" class="m-2">{{
                  decision.decision
                }}</mat-radio-button>
              </ng-container>
            </mat-radio-group>
          </div>

          <!-- ----------------------------------------------------------------------- -->
          <!--                                  COL 3                                  -->
          <!-- ----------------------------------------------------------------------- -->

          <div class="flex flex-col-reverse pr-5">
            <button mat-stroked-button color="primary">
              Charger une image
            </button>
          </div>

          <!-- ----------------------------------------------------------------------- -->
          <!--                                  COL4                                   -->
          <!-- ----------------------------------------------------------------------- -->
          <div class="flex flex-col-reverse">
            <button mat-flat-button color="primary" (click)="submitAnalyse()">
              Enregistrer
            </button>
          </div>
        </div>
      </mat-card-content>
    </form>
  </mat-card>
</div>
